package com.yc.ship.module.ota.api.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;


/**
 * 分销商充值
 */
@Schema(description = "RPC 服务 - 分销商交易")
@Data
public class BillOrderRespDTO {

    @Schema(description = "旅行社ID", example = "27454")
    private Long agencyId;

    @Schema(description = "门店ID", example = "1")
    private Long storeId;

}
