package com.yc.ship.module.ota.controller.admin.password.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 操作密码新增/修改 Request VO")
@Data
public class OperatePasswordSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "5958")
    private Long id;

    @Schema(description = "用户ID", example = "4075")
    private Long userId;

    @Schema(description = "密码类型", example = "1")
    private Integer type;

    @Schema(description = "密码")
    private String password;

    @Schema(description = "状态0-禁用，1-启用", example = "1")
    private Integer status;

}