package com.yc.ship.module.otc.api.agency.dto;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

@Schema(description = "RPC 服务 - 旅行社用户登录返回信息Response DTO")
@Data
public class AgencyUserLoginInfoRespDTO implements Serializable {

    @Schema(description = "日志ID", example = "")
    private Long id;

    @Schema(description = "旅行社", example = "")
    private Long agencyId;
    @Schema(description = "旅行社", example = "")
    private String agencyName;

    @Schema(description = "门店ID", example = "")
    private Long storeId;

    @Schema(description = "门店名称", example = "")
    private String storeName;

    @Schema(description = "设备ID", example = "")
    private Long machineId;

    @Schema(description = "设备名称", example = "")
    private String machineName;
}
