package com.yc.ship.module.otc.api.store.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(description = "RPC 服务 - 设备信息 DTO")
public class StoreMachineDTO {


    @Schema(description = "ID", example = "")
    private Long id;

    @Schema(description = "门店ID", example = "")
    private Long storeId;

    @Schema(description = "门店名称", example = "")
    private String storeName;

    @Schema(description = "设备编码", example = "")
    private String machineId;

    @Schema(description = "设备名称", example = "")
    private String machineName;

    @Schema(description = "设备类型", example = "")
    private Integer machineType;

    @Schema(description = "设备状态", example = "")
    private Integer machineStatus;

    @Schema(description = "终端号", example = "")
    private String payTerminalCode;

    @Schema(description = "序列号", example = "")
    private String paySerialNum;

    @Schema(description = "应用程序版本号", example = "")
    private String payAppVersion;

    @Schema(description = "经度", example = "")
    private String payLongitude;

    @Schema(description = "纬度", example = "")
    private String payLatitude;

    @Schema(description = "是否启用", example = "")
    private Integer isUse;

    @Schema(description = "排序", example = "")
    private Integer sortNum;

    @Schema(description = "租户ID", example = "")
    private Long tenantId;

}
