package com.yc.ship.module.otc.controller.admin.otclevel.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 旅行社等级管理新增/修改 Request VO")
@Data
public class OtcLevelSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "11469")
    private Long id;

    @Schema(description = "等级名称", example = "李四")
    private String levelName;

    @Schema(description = "折扣率 80 90 ...", example = "20887")
    private Integer discount;

    @Schema(description = "政策描述", example = "随便")
    private String remark;

    @Schema(description = "适用房型字典hotel_room_type", example = "2")
    private Integer hotelRoomType;

}