package com.yc.ship.module.otc.controller.admin.store.user;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 门店账号关联 Response VO")
@Data
@ExcelIgnoreUnannotated
public class StoreUserRespVO {

    @Schema(description = "主键ID", example = "24433")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "门店ID", example = "24433")
    @ExcelProperty("门店ID")
    private Long storeId;

    @Schema(description = "关联账号ID", example = "15150")
    @ExcelProperty("关联账号ID")
    private Long userId;

    @Schema(description = "关联账号名称", example = "15150")
    @ExcelProperty("关联账号名称")
    private String userName;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
