package com.yc.ship.module.resource.controller.admin.checkchannel.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 产品检票通道新增/修改 Request VO")
@Data
public class CheckChannelSaveReqVO {

    @Schema(description = "主键", example = "24023")
    private Long id;

    @Schema(description = "产品ID;基础产品或者组合产品", example = "31571")
    private Long productId;

    @Schema(description = "通道ID", example = "30582")
    private Long channelId;

    @Schema(description = "检票次数")
    private Integer checkTimes;

}