package com.yc.ship.module.resource.controller.admin.productRoute.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 基础产品路线新增/修改 Request VO")
@Data
public class ProductRouteSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "22002")
    private Long id;

    @Schema(description = "路线名称", example = "李四")
    private String name;

    @Schema(description = "开始点位")
    private Long startPoint;

    @Schema(description = "开始点位名称", example = "李四")
    private String startPointName;

    @Schema(description = "结束点位")
    private Long endPoint;

    @Schema(description = "结束点位名称", example = "王五")
    private String endPointName;

    @Schema(description = "启用状态 0禁用 1启用", example = "1")
    private Integer useStatus;

}