package com.yc.ship.module.resource.controller.admin.project.vo;

import com.yc.ship.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@Schema(description = "管理后台 - 产品项目分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProjectPageReqVO extends PageParam {

    @Schema(description = "项目id", example = "0")
    private Long parentId;

    @Schema(description = "名称", example = "赵六")
    private String name;

    @Schema(description = "编码")
    private String code;

    @Schema(description = "规格类型:0通用1全价2半价3免票", example = "1")
    private String specificationType;

}