package com.yc.ship.module.resource.controller.admin.routepoint.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 产品路线点位新增/修改 Request VO")
@Data
public class RoutePointSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "27386")
    private Long id;

    @Schema(description = "名称", example = "王五")
    private String name;

    @Schema(description = "简称", example = "李四")
    private String shortName;

    @Schema(description = "经度")
    private String longitude;

    @Schema(description = "维度")
    private String latitude;

    @Schema(description = "状态", example = "1")
    private Integer useStatus;

}