package com.yc.ship.module.resource.controller.admin.supplier.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 供应商列表 Request VO")
@Data
public class SupplierListReqVO {

    @Schema(description = "名称，模糊匹配")
    private String name;

    @Schema(description = "状态", example = "1")
    private Integer useStatus;

    @Schema(description = "资源分类类型")
    private Long cateId;

}
