package com.yc.ship.module.resource.controller.admin.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;

@Schema(description = "管理后台 - 精简对象 Request VO")
@Data
@Builder
public class SimpleListReqVO {

    @Schema(description = "名称，模糊匹配", example = "19座")
    private String name;

    @Schema(description = "展示状态，参见 CommonStatusEnum 枚举类", example = "1")
    private Integer status;

    @Schema(description = "租户Id", example = "1")
    private Long tenantId;
}
