package com.yc.ship.module.resource.controller.admin.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;


@Schema(description = "树节点对象 Response VO")
@Data
@Builder
public class TreeNodeVO {

    @Schema(description = "id", example = "1")
    private Long id;

    @Schema(description = "名称", example = "1")
    private String name;

    @Schema(description = "parentId", example = "0")
    private Long parentId;
}
