package com.yc.ship.module.otc.dal.mysql.log;

import com.yc.ship.framework.mybatis.core.mapper.BaseMapperX;
import com.yc.ship.framework.tenant.core.aop.TenantIgnore;
import com.yc.ship.module.otc.dal.dataobject.log.AgencyLoginLogDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;


/**
 * 旅行社信息登录记录 Mapper
 *
 * @author 管理员
 */
@Mapper
public interface AgencyLoginLogMapper extends BaseMapperX<AgencyLoginLogDO> {

    @TenantIgnore
    Map<String, Object> selectDistributorInfo(@Param("tenantId") Long tenantId);

}