package com.yc.ship.module.resource.controller.admin.shiptype.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import com.yc.ship.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 资源管理-游轮类型管理分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ResourceShipTypePageReqVO extends PageParam {

    @Schema(description = "类型名称", example = "张三")
    private String name;

    @Schema(description = "类型编码")
    private String code;

    @Schema(description = "状态", example = "1")
    private Integer status;

}