package com.yc.ship.module.resource.controller.admin.shiptype.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 资源管理-游轮类型管理新增/修改 Request VO")
@Data
public class ResourceShipTypeSaveReqVO {

    @Schema(description = " ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "23740")
    private Long id;

    @Schema(description = "类型名称", example = "张三")
    private String name;

    @Schema(description = "类型编码")
    private String code;

    @Schema(description = "备注", example = "你说的对")
    private String remark;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "状态不能为空")
    private Integer status;

}